changeset 1158:0fd39f67a6ee 3.0-integration

Make archiver check & complain if the appropriate docs page returns a 404
author Chris Cannam
date Thu, 05 May 2016 15:05:56 +0100
parents f5ba024933a2
children c9cfcd823e6b
files deploy/src/archive.sh
diffstat 1 files changed, 19 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/deploy/src/archive.sh	Wed May 04 10:27:26 2016 +0100
+++ b/deploy/src/archive.sh	Thu May 05 15:05:56 2016 +0100
@@ -1,10 +1,27 @@
 #!/bin/bash
 
+set -eu
+
 tag=`hg tags | grep '^sv_v' | head -1 | awk '{ print $1; }'`
 
-v=`echo "$tag" |sed 's/sv_v//'`
+v=`echo "$tag" | sed 's/sv_v//' | sed 's/_.*$//'`
 
-echo "Packaging up version $v from tag $tag..."
+echo
+echo -n "Packaging up version $v from tag $tag... "
 
 hg archive -r"$tag" --subrepos --exclude sv-dependency-builds /tmp/sonic-visualiser-"$v".tar.gz
 
+echo Done
+echo
+
+# Test that the appropriate version of the docs exist on the website
+
+doc_url="http://sonicvisualiser.org/doc/reference/$v/en/"
+doc_status=$(curl -sL -w "%{http_code}" "$doc_url" -o /dev/null)
+
+if [ "$doc_status" = "404" ]; then
+    echo "*** WARNING: Documentation URL returns a 404:"
+    echo "***          $doc_url"
+    echo "***          Please fix this before release!"
+    echo
+fi